---
lang: en
title: 'API docs: socketio.socketiocontrollerfactory.getallmethodmetadataforkey'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/socketio
permalink: /doc/en/lb4/apidocs.socketio.socketiocontrollerfactory.getallmethodmetadataforkey.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/socketio](./socketio.md) &gt; [SocketIoControllerFactory](./socketio.socketiocontrollerfactory.md) &gt; [getAllMethodMetadataForKey](./socketio.socketiocontrollerfactory.getallmethodmetadataforkey.md)

## SocketIoControllerFactory.getAllMethodMetadataForKey() method

**Signature:**

```typescript
protected getAllMethodMetadataForKey<V, DT extends DecoratorType>(metadataAccessor: MetadataAccessor<V, DT>): MetadataMap<V>;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

metadataAccessor


</td><td>

[MetadataAccessor](./metadata.metadataaccessor.md)<!-- -->&lt;V, DT&gt;


</td><td>


</td></tr>
</tbody></table>

**Returns:**

[MetadataMap](./metadata.metadatamap.md)<!-- -->&lt;V&gt;


